// In XMLHttpRequest.js under node_modules/xmlhttprequest/lib/XMLHttpRequest.js :
// exports.XMLHttpRequest = function(){...}

// You need the xmlhttprequest package
// run 'npm install' -- note that package.json is already given


var XMLHttpRequest = require("xmlhttprequest").XMLHttpRequest;

function getData(url, cbSuccessful, cbFail) {
  var request = new XMLHttpRequest();
  request.onreadystatechange = function () {
    if (request.readyState == 4 && request.status == 200) {
      let data = JSON.parse(request.responseText);
      if (data.length > 0) {
        cbSuccessful(data);
      }
      else {
        cbFail(`Empty data from ${url} : ReadyState: ${request.readyState}`);
      }
    }
    else if (request.readyState <= 3) {
      // state changes, starting from 0 
      // cbFail(`retrieving data from ${url} : ReadyState: ${request.readyState}`);
    }
    else {
      console.log(request.readyState);
      cbFail(`Failed to get data from ${url}`);
    }
  };

  request.open('GET', url);
  request.send();
}

let userName = "Delphine";

getData('https://jsonplaceholder.typicode.com/users', (userData) => {
  let userId = userData.find(u => u.username === userName).id;

  getData(`https://jsonplaceholder.typicode.com/posts?userId=${userId}`, (postData) => {
    let firstPost = postData[0];

    getData(`https://jsonplaceholder.typicode.com/comments?postId=${firstPost.id}`, (commentData) => {
      commentData.forEach(c => console.log(c.email));

      // if you would like to play more with other examples, check JSONPlaceholder

    }, (e) => {
      console.log(`Error: ${e}`);
    });
  }, (e) => {
    console.log(`Error: ${e}`);
  });
}, (e) => {
  console.log(`Error: ${e}`);
});